local szBuffName = ""
local g_szMission = "百变脸谱"
local buff_index = 0
local g_NpcInfo = {
	[0] = {szNpcName="文彦博", fX=266, fY=262},
}
function OnMission()
	if 取地图名() ~= "苏州" and 取距离(g_NpcInfo[0].fX, g_NpcInfo[0].fY) >= 20 then 召唤坐骑(1) end
	跨图寻路(g_NpcInfo[0].fX, g_NpcInfo[0].fY, "苏州")
	召唤坐骑(0)
	if GetMorphBuff() == -1 then
		对话npc(g_NpcInfo[0].szNpcName)
		对话选项("#{BBLP_90209_2}")
		if 取对话栏内容() == "#{BBLP_90209_7}" then 打印信息("百变脸谱：已经完成！") return end
		return OnMission()
	else
		szBuffName = "变身"
		buff_index = Player_GetBuff(szBuffName)
		打印信息("buff_index = "..buff_index)
		Player_DispelBuffByIndex(buff_index)
		return OnMission()
	end
	
end
OnMission()
